Bug 705109 - Review Request: python-qserve - Job queue server used in python-mwlib
Review Request: python-qserve - Job queue server used in python-mwlib
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-16 12:44 EDT by PRABIN KUMAR DATTA
Modified: 2012-02-09 15:04 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-09 15:04:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description PRABIN KUMAR DATTA 2011-05-16 12:44:40 EDT
Spec URL: http://prabindatta.fedorapeople.org/SPECS/python-qserve.spec
SRPM URL: http://prabindatta.fedorapeople.org/SRPMS/python-qserve-0.0.1-1.fc14.src.rpm
Description: 
qserve is used in python-mwlib. It's a job queue server 
written in python and it's missing documentation.




Koji Build: https://koji.fedoraproject.org/koji/taskinfo?taskID=3073913
Comment 1 PRABIN KUMAR DATTA 2011-05-16 12:45:48 EDT
[prabindatta@localhost ~]$ rpmlint -i rpmbuild/SPECS/python-qserve.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

--

[prabindatta@localhost ~]$ rpmlint -i rpmbuild/SRPMS/python-qserve-0.0.1-1.fc14.src.rpm 
python-qserve.src: W: spelling-error Summary(en_US) mwlib -> Malibu, Mowgli, millibar
The value of this tag appears to be misspelled. Please double-check.

python-qserve.src: W: spelling-error %description -l en_US mwlib -> Malibu, Mowgli, millibar
The value of this tag appears to be misspelled. Please double-check.

1 packages and 0 specfiles checked; 0 errors, 2 warnings.

--

[prabindatta@localhost ~]$ rpmlint -i rpmbuild/RPMS/noarch/python-qserve-0.0.1-1.fc14.noarch.rpm 
python-qserve.noarch: W: spelling-error Summary(en_US) mwlib -> Malibu, Mowgli, millibar
The value of this tag appears to be misspelled. Please double-check.

python-qserve.noarch: W: spelling-error %description -l en_US mwlib -> Malibu, Mowgli, millibar
The value of this tag appears to be misspelled. Please double-check.

1 packages and 0 specfiles checked; 0 errors, 2 warnings.
Comment 2 PRABIN KUMAR DATTA 2011-05-16 12:49:04 EDT
Upstream reply about shebang:

/----
> If the shebang is at all required after installation for
> 1. /usr/lib/python2.7/site-packages/qs/qserve.py
> 2. /usr/lib/python2.7/site-packages/qs/rpcserver.py
> 3. /usr/lib/python2.7/site-packages/qs/slave.py
> 4. /usr/lib/python2.7/site-packages/qs/jobs.py
> 5. /usr/lib/python2.7/site-packages/qs/proc.py

no.
------/
Comment 3 Fabian Affolter 2011-06-02 12:48:46 EDT
You are working with a git checkout. Please follow the naming guidelines [1]. And please use %global instead of %define.

[1] https://fedoraproject.org/wiki/Packaging:NamingGuidelines
Comment 5 Fabian Affolter 2011-06-04 12:40:25 EDT
You are adding a date to your release tag but your do not work with with an actual git queck-out. The source tarball is download from the github website and marked with the last commit checksum '31b9e43'.

You can take a look at the spec file in another review request [1]. This is the way I handle with the crappy github download in Source0.

Or check a past discussion [2] on the fedora-devel list. 

[1] https://bugzilla.redhat.com/show_bug.cgi?id=710386
[2] http://lists.fedoraproject.org/pipermail/devel/2011-February/148676.html
Comment 6 Fabian Affolter 2011-06-04 12:43:01 EDT
The name schema could be 

python-qserve-0-0.1.git31b9e43

https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Pre-Release_packages
Comment 7 PRABIN KUMAR DATTA 2011-06-05 17:31:41 EDT
Thanks, for sharing the links.

Updated:-
Spec URL: http://prabindatta.fedorapeople.org/SPECS/python-qserve.spec
SRPM URL:
http://prabindatta.fedorapeople.org/SRPMS/python-qserve-0.0.1-3.fc15.src.rpm

I hope now it's ok!
Comment 8 Fabian Affolter 2011-06-19 09:56:49 EDT
Sorry, the naming is still wrong. 

(In reply to comment #6)
> The name schema could be 
> 
> python-qserve-0-0.1.git31b9e43
> 
> https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Pre-Release_packages

The naming should be the same as pre-release svn checkout are named.
Comment 10 Fabian Affolter 2011-06-19 14:11:00 EDT
(In reply to comment #9)
> Updated package:-
> Spec URL: http://prabindatta.fedorapeople.org/SPECS/python-qserve.spec
> SRPM URL:
> http://prabindatta.fedorapeople.org/SRPMS/python-qserve-0.0.1-4.1.git31b9e43.fc15.src.rpm
> 
> Now, is it Ok??

No, according to your versioning scheme the packed version is 0.0.1 but in fact it's a prerelease meaning version 0, see Comment #8.
Comment 11 PRABIN KUMAR DATTA 2011-06-19 15:55:27 EDT
SRPMS Name:
python-qserve-0-0.0.1-4.1.fc15.src.rpm

Now??
Comment 12 Fabian Affolter 2011-06-19 16:49:22 EDT
(In reply to comment #11)
> SRPMS Name:
> python-qserve-0-0.0.1-4.1.fc15.src.rpm

Sorry, it gets worse...Please stop guessing and read my comments. Just place a 0 as version tag and leave the release tag unchanged is not the right way. In comment #6 was the right release tag already mentioned.
Comment 13 PRABIN KUMAR DATTA 2011-06-20 07:23:29 EDT
Sorry, I disturbed you a lot.
Actually, I have read your comments but I was confused that:
1. I have already done initial build as 0.0.1-1.
2. So, for next change log, if it's ok to use 0-0.1.gitxxxx
  since version 0 < version 0.0.1

After conversation with Ankur Sinha on IRC channel.
I have removed all change logs and resubmitting this package.

Spec URL: http://prabindatta.fedorapeople.org/SPECS/python-qserve.spec
SRPM URL:
http://prabindatta.fedorapeople.org/SRPMS/python-qserve-0-0.1.git31b9e43.fc15.src.rpm
Comment 14 Ian Weller 2012-02-02 13:48:05 EST
Hello,

This review request appears stalled. I am requesting a response from the submitter of this review under this policy:
  https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews
If the reviewer does not respond within one week I will close this review request.
Comment 15 Ian Weller 2012-02-09 15:04:02 EST
Pursuant to the policy for stalled package reviews, I am closing this review request.

Note You need to log in before you can comment on or make changes to this bug.